# _DirectoryHandle
<span class="source-link">[[Source]](src/files/directory.md#L12)</span>
```pony
primitive val _DirectoryHandle
```

## Constructors

### create
<span class="source-link">[[Source]](src/files/directory.md#L12)</span>


```pony
new val create()
: _DirectoryHandle val^
```

#### Returns

* [_DirectoryHandle](files-_DirectoryHandle) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/files/directory.md#L13)</span>


```pony
fun box eq(
  that: _DirectoryHandle val)
: Bool val
```
#### Parameters

*   that: [_DirectoryHandle](files-_DirectoryHandle) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/files/directory.md#L13)</span>


```pony
fun box ne(
  that: _DirectoryHandle val)
: Bool val
```
#### Parameters

*   that: [_DirectoryHandle](files-_DirectoryHandle) val

#### Returns

* [Bool](builtin-Bool) val

---

